/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.android.tools.profilers.cpu.analysis

import com.android.tools.profilers.StudioProfilersView
import java.awt.BorderLayout

class CpuAnalysisEventsTab(profilersView: StudioProfilersView,
                           model: CpuAnalysisEventsTabModel<*>)
  : CpuAnalysisTab<CpuAnalysisEventsTabModel<*>?>(profilersView, model) {
  private fun initComponents() {
    layout = BorderLayout()
    val nodesTable = CaptureNodeDetailTable(model.getNodes(), model.captureRange,
                                            viewRange = profilersView.studioProfilers.stage.timeline.viewRange, initialPageSize = 25)
    add(nodesTable.component)
  }

  init {
    initComponents()
  }
}