// Copyright 2000-2021 JetBrains s.r.o. and contributors. Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file.
package org.jetbrains.kotlin.idea.codeInsight

import com.intellij.application.options.editor.AutoImportOptionsProvider
import com.intellij.openapi.application.ApplicationBundle
import com.intellij.openapi.options.ConfigurableBuilder
import com.intellij.openapi.project.Project
import org.jetbrains.kotlin.idea.KotlinBundle

class KotlinCodeInsightWorkspaceSettingsProvider(project: Project) :
    ConfigurableBuilder(KotlinBundle.message("plugin.updater.notification.title")), AutoImportOptionsProvider {
    init {
        checkBox(
            ApplicationBundle.message("checkbox.add.unambiguous.imports.on.the.fly"),
            KotlinCodeInsightSettings.getInstance()::addUnambiguousImportsOnTheFly,
        )

        checkBox(
            ApplicationBundle.message("checkbox.optimize.imports.on.the.fly"),
            KotlinCodeInsightWorkspaceSettings.getInstance(project)::optimizeImportsOnTheFly,
        )
    }
}