// Copyright 2000-2021 JetBrains s.r.o. and contributors. Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file.

package org.jetbrains.kotlin.idea.kdoc

import org.jetbrains.kotlin.builtins.StandardNames.FqNames
import org.jetbrains.kotlin.descriptors.ClassifierDescriptor
import org.jetbrains.kotlin.resolve.DescriptorUtils

private val boringBuiltinClasses = setOf(
    FqNames.unit,
    FqNames._byte,
    FqNames._short,
    FqNames._int,
    FqNames._long,
    FqNames._char,
    FqNames._boolean,
    FqNames._float,
    FqNames._double,
    FqNames.string,
    FqNames.array,
    FqNames.any
)

fun ClassifierDescriptor.isBoringBuiltinClass(): Boolean = DescriptorUtils.getFqName(this) in boringBuiltinClasses
