// Copyright 2000-2021 JetBrains s.r.o. and contributors. Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file.

package org.jetbrains.kotlin.idea.scratch

import com.intellij.openapi.project.Project
import com.intellij.openapi.vfs.VirtualFile
import org.jetbrains.kotlin.idea.scratch.compile.KtCompilingExecutor
import org.jetbrains.kotlin.idea.scratch.repl.KtScratchReplExecutor

class KtScratchFileLanguageProvider : ScratchFileLanguageProvider() {
    override fun createFile(project: Project, file: VirtualFile): ScratchFile? {
        return KtScratchFile(project, file)
    }

    override fun createReplExecutor(file: ScratchFile) = KtScratchReplExecutor(file)
    override fun createCompilingExecutor(file: ScratchFile) = KtCompilingExecutor(file)
}