// Copyright 2000-2021 JetBrains s.r.o. and contributors. Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file.

package org.jetbrains.kotlin.j2k

import org.jetbrains.kotlin.descriptors.DeclarationDescriptor
import org.jetbrains.kotlin.psi.KtDeclaration

interface ResolverForConverter {
    fun resolveToDescriptor(declaration: KtDeclaration): DeclarationDescriptor?
}

object EmptyResolverForConverter : ResolverForConverter {
    override fun resolveToDescriptor(declaration: KtDeclaration) = null
}
