// Copyright 2000-2021 JetBrains s.r.o. and contributors. Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file.
package org.jetbrains.kotlin.tools.projectWizard.core

import org.jetbrains.kotlin.tools.projectWizard.core.entity.settings.SettingReference


class EventManager {
    private val listeners = mutableListOf<(SettingReference<*, *>?) -> Unit>()

    fun addSettingUpdaterEventListener(listener: (SettingReference<*, *>?) -> Unit) {
        listeners += listener
    }

    fun fireListeners(reference: SettingReference<*, *>?) {
        listeners.forEach { it(reference) }
    }
}